<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/07/2004 *
 * ================                             Last change: 10/14/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_transfer.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Point transfers                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Punktetransfers                                  *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (ereg(basename(__FILE__), $_SERVER['PHP_SELF']) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

// We only need outgoing transfers
$result = SQL_QUERY("SELECT userid, to_uid, trans_id, points, reason, time_trans FROM "._MYSQL_PREFIX."_user_transfers_out ORDER BY trans_id", __FILE__, __LINE__);
$total = 0;
if (SQL_NUMROWS($result) > 0)
{
	// Output rows
	$OUT = ""; $SW = 2;
	while(list($uid1, $uid2, $idx, $points, $reason, $stamp) = SQL_FETCHROW($result))
	{
		// Prepare data for the row template
		$content = array(
			'sw'        => $SW,
			'idx'       => $idx,
			'stamp'     => MAKE_DATETIME($stamp, "3"),
			'from_link' => ADMIN_USER_PROFILE_LINK($uid1),
			'to_link'   => ADMIN_USER_PROFILE_LINK($uid2),
			'reason'    => wordwrap($reason, 15),
			'points'    => TRANSLATE_COMMA($points),
		);

		// Load row template add points and switch color
		$OUT .= LOAD_TEMPLATE("admin_list_transfer_row", true, $content);
		$total += $points; $SW = 3 - $SW;
	}

	// Free memory
	SQL_FREERESULT($result);
}
 else
{
	// Nothing for in and out
	$OUT = "<TR>
  <TD colspan=\"6\" align=\"center\" class=\"bottom2\" height=\"70\">
    ".LOAD_TEMPLATE("admin_settings_saved", true, TRANSFER_NO_INOUT_TRANSFERS)."
  </TD>
</TR>";
}

// ... and add them to a constant for the template
define('__TRANSFER_ROWS', $OUT);

// Remeber total amount
define('__TRANSFER_TOTAL_VALUE', TRANSLATE_COMMA($total));

// Set title
define('__TRANSFER_TITLE', TRANSFER_LIST_ALL);

// Set "balance" word
define('__TRANSFER_SUM', TRANSFER_TOTAL_BALANCE);

// Don't show a delete button
define('__TRANSFER_DELETE', "&nbsp;");

// Load final template
LOAD_TEMPLATE("admin_list_transfer");

//
?>
